package com.fs.ad.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.ad.domain.AdAccount;

/**
 * 推广账户Mapper接口
 * 
 * @author fs
 * @date 2025-03-04
 */
public interface AdAccountMapper extends BaseMapper<AdAccount>{
    /**
     * 查询推广账户
     * 
     * @param id 推广账户主键
     * @return 推广账户
     */
    AdAccount selectAdAccountById(Long id);

    /**
     * 查询推广账户列表
     * 
     * @param adAccount 推广账户
     * @return 推广账户集合
     */
    List<AdAccount> selectAdAccountList(AdAccount adAccount);

    /**
     * 新增推广账户
     * 
     * @param adAccount 推广账户
     * @return 结果
     */
    int insertAdAccount(AdAccount adAccount);

    /**
     * 修改推广账户
     * 
     * @param adAccount 推广账户
     * @return 结果
     */
    int updateAdAccount(AdAccount adAccount);

    /**
     * 删除推广账户
     * 
     * @param id 推广账户主键
     * @return 结果
     */
    int deleteAdAccountById(Long id);

    /**
     * 批量删除推广账户
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAdAccountByIds(Long[] ids);
}
